// #########################################################
// # This is a sample Arduino sketch to test a             
// # TM1637 TUBE display and bezel.                        
// # This sketch uses this library:        
// # https://github.com/avishorp/TM1637                    
// #                                                       
// # Note that we cannot provide any programming advice    
// # or technical assistance with your project.            
// # 
// # Bezels available from:
// # https://widget.gadgetsavvy.co.uk/
// #########################################################


//display setup
#include <TM1637Display.h>
#define clockPin  3  //change to suit
#define dataPin  4   //change to suit
TM1637Display leddisplay(clockPin, dataPin);

void setup() {

pinMode(13,OUTPUT);   //for Arduino nano - change according to your Arduino model
digitalWrite(13,HIGH);
delay (1000);
digitalWrite(13,LOW);

}

void loop(){

digitalWrite(13,HIGH);

///LED tube brightness
leddisplay.setBrightness(15);  

for (int x=0;x<10000;x=x+1111){
leddisplay.showNumberDec(x,true,4,0);
  delay(300);
}

digitalWrite(13,LOW);
delay(300);


leddisplay.showNumberDec(1234,true,4,0);
delay(5000);


}

